For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all properties
        • GETGet a property by ID
        • POSTCreate Property: RealPageApp - Not Supported
        • PUTUpdate Property: RealPageApp - Not Supported
        • PUTUpdate Site Subscription: RealPage Partner Exchange
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
RealPage App PartnerProperties

Get a property by ID

GET
/v1/properties/:id
GET
/v1/properties/:id
$curl https://api.propexo.com/v1/properties/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "address_1": "123 Main St",
13 "address_2": "Suite 400",
14 "associated_owner_ids": [
15 "owner_987654321"
16 ],
17 "building_number": null,
18 "city": "Seattle",
19 "code": null,
20 "country": "US",
21 "county": "King",
22 "created_at": "2024-03-21T15:38:08.337Z",
23 "custom_data": {},
24 "id": "clwktsp9v000008l31iv218hn",
25 "integration_id": "clwh5u07w000508me66sfh3um",
26 "integration_vendor": "REALPAGE_RPX",
27 "is_active": true,
28 "last_seen": "2024-03-22T10:59:45.119Z",
29 "long_description": null,
30 "manager_email": "manager@acmeproperties.com",
31 "manager_name": "Acme Property Management",
32 "manager_phone_1": "+1-206-555-0123",
33 "manager_phone_1_type": "WORK",
34 "manager_phone_2": "+1-206-555-0456",
35 "manager_phone_2_type": "MOBILE",
36 "name": "Western Frontier",
37 "notes": null,
38 "number_of_units": null,
39 "office_hours": [
40 {
41 "day_of_week": "MONDAY",
42 "open_time": "09:00",
43 "close_time": "17:00"
44 },
45 {
46 "day_of_week": "TUESDAY",
47 "open_time": "09:00",
48 "close_time": "17:00"
49 },
50 {
51 "day_of_week": "WEDNESDAY",
52 "open_time": "09:00",
53 "close_time": "17:00"
54 },
55 {
56 "day_of_week": "THURSDAY",
57 "open_time": "09:00",
58 "close_time": "17:00"
59 },
60 {
61 "day_of_week": "FRIDAY",
62 "open_time": "09:00",
63 "close_time": "17:00"
64 }
65 ],
66 "pet_types": [
67 {
68 "name": "Dogs",
69 "is_allowed": true,
70 "description": "We accept up to two (2) dogs per apartment. No weight limit, but breed restrictions apply. Breed Restrictions: Pit Bulls, Rottweilers, Dobermans, and Wolf Hybrids are not allowed. A Veterinarian certification must be received prior to move in.",
71 "notes": null,
72 "deposit_raw": null,
73 "deposit_in_cents": null,
74 "fee_raw": null,
75 "fee_in_cents": null,
76 "fee_min_raw": null,
77 "fee_min_in_cents": null,
78 "fee_max_raw": null,
79 "fee_max_in_cents": null,
80 "rent_amount_raw": null,
81 "rent_amount_in_cents": null
82 },
83 {
84 "name": "Cats",
85 "is_allowed": true,
86 "description": "Cats must be spayed/neutered. Up to two (2) cats allowed per apartment. Exotic pets and farm animals are not permitted.",
87 "notes": null,
88 "deposit_raw": null,
89 "deposit_in_cents": null,
90 "fee_raw": null,
91 "fee_in_cents": null,
92 "fee_min_raw": null,
93 "fee_min_in_cents": null,
94 "fee_max_raw": null,
95 "fee_max_in_cents": null,
96 "rent_amount_raw": null,
97 "rent_amount_in_cents": null
98 }
99 ],
100 "property_id": "clwi5xiix000008l6ctdgafyh",
101 "short_description": null,
102 "square_feet": 85000,
103 "state": "WA",
104 "type_normalized": null,
105 "type_raw": null,
106 "updated_at": "2024-03-22T10:59:45.119Z",
107 "website": "https://www.westernfrontierapts.com",
108 "x_building_id": null,
109 "x_created_at": null,
110 "x_id": "1236712",
111 "x_property_id": "1236712",
112 "year_built": null,
113 "zip": "98101",
114 "square_footage": null,
115 "street_address_1": null,
116 "street_address_2": null,
117 "type": null
118 }
119}
Get a property by ID
Was this page helpful?
Previous

Create Property: RealPageApp - Not Supported

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error